package com.chuanxia.mcp.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chuanxia.mcp.bean.dto.DomainOperatorBindDto;
import com.chuanxia.mcp.bean.dto.OperatorQueryDto;
import com.chuanxia.mcp.bean.model.CdnOperator;
import com.chuanxia.mcp.bean.vo.CdnOperatorVo;
import com.chuanxia.mcp.bean.vo.Result;

public interface CdnOperatorService extends IService<CdnOperator> {
    Result<String> saveOperator(CdnOperator operator);

    Result<String> updateOperator(CdnOperator operator);

    Result<String> bindCdn(DomainOperatorBindDto bindDto);

    Result<IPage<CdnOperatorVo>> listPage(OperatorQueryDto queryDto);

    Result<String> removeBind(Integer id);
}
